Skip to main content
POST
/
v1
/
teams
/
{team_id}
/
api-keys
Create Api Key
curl --request POST \
  --url https://api.dataraven.io/v1/teams/{team_id}/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "scopes": [],
  "expires_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.dataraven.io/v1/teams/{team_id}/api-keys"

payload = {
    "name": "<string>",
    "scopes": [],
    "expires_at": "2023-11-07T05:31:56Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', scopes: [], expires_at: '2023-11-07T05:31:56Z'})
};

fetch('https://api.dataraven.io/v1/teams/{team_id}/api-keys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key_id": "<string>",
  "name": "<string>",
  "full_key": "<string>",
  "scopes": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

application/json

Schema for creating a new API key.

name
string
required

Human-readable name for the key

Required string length: 1 - 255
scopes
string[]

Permission scopes, e.g. ['tasks:read', 'tasks:create']

expires_at
string<date-time> | null

Optional expiration timestamp (UTC). NULL = never expires.

Response

Successful Response

Schema returned only at creation time -- includes the full key.

The full_key field is shown ONCE and never stored or returned again.

id
string<uuid>
required
key_id
string
required
name
string
required
full_key
string
required

Full API key (dr_<key_id>_). Shown ONCE, save it now!

scopes
string[]
required
expires_at
string<date-time> | null
required
created_at
string<date-time>
required
created_by
string<uuid>
required